
from odoo import api, fields, models


class PrintOrderWizard(models.TransientModel):

    _inherit = 'print.order.wizard'


    @api.model
    def default_get(self, fields):
        result = super(PrintOrderWizard, self).default_get(fields)
        if 'provider_id' in result:
            result['free_remaining_letters'] = self.env['print.provider'].browse(result['provider_id']).get_free_remaining_letters()
        return result

    free_remaining_letters = fields.Integer(string="Free remaining letters")
